
QGIS Application - Bug report #21801

Show Feature Count not updating properly

2019-04-08 08:18 PM - Brett Carlock

Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 x64 Pro (1809 Build 17763.404)Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29616

Description

STR:

Have layer in geopackage with Number of Features X (1253, for example).

Replace layer in geopackage with another version, choose overwrite layer. New version has Number of Features 18071.

Toggle Show Feature Count On/Off. Count does not update to reflect new reality of the source data.

Correct object count is shown on Attribute Table, however.

History

#1 - 2019-04-08 08:29 PM - Alexis Roy-L

This is not quite a bug since the number of feature counted will not change since the original feature has technically not changed.

There are two ways to deal with this, you can add do anything that will change the number of features while the layer is in the project or simply add the

layer normally and remove the one that you have ( you could copy the style before deleting it.)

I doubt that such marginal use case warrant a check.

#2 - 2019-04-09 03:46 AM - Brett Carlock

Alexis Roy-L wrote:

This is not quite a bug since the number of feature counted will not change since the original feature has technically not changed.

Yes, it absolutely has changed the original feature.

Please re-read the below carefully:

Brett Carlock wrote:

Replace layer in geopackage with another version, choose overwrite layer. New version has Number of Features 18071.

#3 - 2019-04-10 05:49 PM - Giovanni Manghi

- Category changed from GUI to Map Legend
